org.apache.poi.hpbf.model.qcbits

## Class QCPLCBit.Type12

- java.lang.Object
- - org.apache.poi.hpbf.model.qcbits.QCBit
  - - org.apache.poi.hpbf.model.qcbits.QCPLCBit
    - - org.apache.poi.hpbf.model.qcbits.QCPLCBit.Type12

- Enclosing class:
    QCPLCBit

      public static class QCPLCBit.Type12
      extends QCPLCBit

  Type 12 holds hyperlinks, and is very complex. There is normally one of these for each text area that contains at least one hyperlinks. The character offsets are relative to the start of the text area that this applies to.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.hpbf.model.qcbits.QCPLCBit

      `QCPLCBit.Type0, QCPLCBit.Type12, QCPLCBit.Type4, QCPLCBit.Type8`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAllTextEndAt()` Returns where in the text that this block of hyperlinks stops applying to.
    `java.lang.String` | `getHyperlink(int number)` Returns the URL of the hyperlink at the given index.
    `int` | `getNumberOfHyperlinks()` Returns the number of hyperlinks, which should either be zero, or the number of PLC bits
    `int` | `getTextStartAt(int number)` Returns where in the text (in characters) the hyperlink at the given index starts applying to.

    - ### Methods inherited from class org.apache.poi.hpbf.model.qcbits.QCPLCBit

      `createQCPLCBit, getNumberOfPLCs, getPlcValA, getPlcValB, getPreData, getTypeOfPLCS`

    - ### Methods inherited from class org.apache.poi.hpbf.model.qcbits.QCBit

      `getBitType, getData, getDataOffset, getLength, getOptA, getOptB, getOptC, getThingType, setData, setDataOffset, setOptA, setOptB, setOptC`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getNumberOfHyperlinks

          public int getNumberOfHyperlinks()

      Returns the number of hyperlinks, which should either be zero, or the number of PLC bits

    - #### getHyperlink

          public java.lang.String getHyperlink(int number)

      Returns the URL of the hyperlink at the given index.
      Parameters:
        `number` - The hyperlink number, zero based

    - #### getTextStartAt

          public int getTextStartAt(int number)

      Returns where in the text (in characters) the hyperlink at the given index starts applying to. This position is relative to the text area that this PLCBit applies to.
      Parameters:
        `number` - The hyperlink number, zero based

    - #### getAllTextEndAt

          public int getAllTextEndAt()

      Returns where in the text that this block of hyperlinks stops applying to. Normally, but not always the end of the text. This position is relative to the text area that this PLCBit applies to.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.